【Sass】初心者向け!Sassを使ってみよう! 《SSLエラー編》

さて、今回もSassについて書いていきます♪
Sassをアップデートするときなどに、よく出るSSLエラーの対処方法です。

コマンドプロンプトにSSLエラー表示

コマンドプロンプトでアップデートなどをしようとコマンドを打ち込んだ際に、下記のようなエラーが表示されます。

ERROR: While executing gem … (Gem::RemoteFetcher::FetchError)
SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs.4.8.gz)

エラー内容は、「インストーラーに含まれているSSL証明書が古い」ことが原因のようです。

SSLエラーを解消

下記URLから修正版RubyGemsファイルを取得します。
https://rubygems.org/downloads/rubygems-update-2.6.7.gem

Cドライブ直下に置き、コマンド入力します。

1、「gem install –local C:\rubygems-update-2.6.7.gem」
2、「update_rubygems –no-ri –no-rdoc」
3、「gem uninstall rubygems-update -x」

「Removing update_rubygems
Successfully uninstalled rubygems-update-2.6.7」と表示されれば成功です。